<?php

//Register Nav Menus
add_action( 'after_setup_theme', 'wedding_nav_menus' );
function wedding_nav_menus() {
	register_nav_menus( array(
		'header' => __( 'Main navigation', 'wedding' ),
		'footer' => __( 'Footer navigation', 'wedding' ),
		'header_social' => __( 'Header navigation', 'wedding' )
	) );
}
//Register Nav Menus

//Child pages navigation(for left and right sidebar page templates)
function child_pages_navigation($post_id = 0) {
	global $post;
	if (!$post_id) $post_id = $post->ID;
	$page_show_child_pages = get_post_meta($post_id, 'page_show_child_pages', true);
	if ($page_show_child_pages):
	?>

	<li class="widget-container widget_nav_menu child-pages-widget">	
		<?php
		$parents = get_post_ancestors($post_id);
		if($parents[0]):
			$children = wp_list_pages('title_li=&child_of='.$parents[0].'&echo=0&depth=1');
			$title = get_the_title($parents[0]);
		else:
			$children = wp_list_pages('title_li=&child_of='.$post_id.'&echo=0&depth=1');
			$title = get_the_title($post_id);
		endif;
		if ($children): ?>
		
		<h3 class="widget-title">
			<?php echo $title; ?>
		</h3>
		<div class="menu-sidebar-menu-container">
			<ul class="menu">
				<?php echo $children; ?>
			</ul>
		</div>
		<?php endif; ?>
	</li>
	
	<?php endif;
}
//Child pages navigation(for left and right sidebar page templates)

//Add page slug as a data attribute to the menus
class wedding_Menu_Walker extends Walker_Nav_Menu {
	function start_el(&$output, $item, $depth, $args) {
		global $wp_query;
		$indent = ( $depth ) ? str_repeat( "\t", $depth ) : '';

		$class_names = $value = '';
		$classes = empty( $item->classes ) ? array() : (array) $item->classes;
		$class_names = join( ' ', apply_filters( 'nav_menu_css_class', array_filter( $classes ), $item ) );
		$class_names = ' class="'. esc_attr( $class_names ) . '"';

		$output .= $indent . '<li id="menu-item-'. $item->ID . '"' . $value . $class_names .'>';

		$attributes  = ! empty( $item->attr_title ) ? ' title="'  . esc_attr( $item->attr_title ) .'"' : '';
		$attributes .= ! empty( $item->target )     ? ' target="' . esc_attr( $item->target     ) .'"' : '';
		$attributes .= ! empty( $item->xfn )        ? ' rel="'    . esc_attr( $item->xfn        ) .'"' : '';
		$attributes .= ! empty( $item->url )        ? ' href="'   . esc_attr( $item->url        ) .'"' : '';

		//Add item ID and slug as a data attribute, only the parent menus
		if ($depth<1) {
			$post_data = get_post($item->object_id, ARRAY_A);
			$attributes .= ' data-slug="'.$post_data['post_name'].'"';
			$attributes .= ' data-id="'.$item->object_id.'"';
			if ($classes[0]) $attributes .= ' class="'.$classes[0].'"';
		} else {
			$attributes .= ' class="disabled"';
		}
		if ($item->type=='taxonomy') $attributes .= ' class="disabled"';
		
		$item_output = $args->before;
		$item_output .= '<a'. $attributes .'>';
		$item_output .= $args->link_before .apply_filters( 'the_title', $item->title, $item->ID );
		$item_output .= '</a>';
		$item_output .= $args->after;

		$output .= apply_filters( 'walker_nav_menu_start_el', $item_output, $item, $depth, $args );
      }
}
//Add page slug as a data attribute to the menus


?>