jQuery(document).ready(function($){
	
	//Ajax Pagination for blog and gallery
	var paginationTypes = ["ajax_pagination_blog","ajax_pagination_gallery"];
	
	//Loop through the types and add the buttons, ajax calls
	$.each(paginationTypes,function(key, value){
		var ajax_pagination = window[value];
		
		if (!ajax_pagination) return;
		
		var ajax_container = $('.'+value);
		var pageNum = parseInt(ajax_pagination.startPage) + 1;
		var max = parseInt(ajax_pagination.maxPages);
		var nextLink = ajax_pagination.nextLink;
		
		//Append the button and the ajax container
		if(pageNum <= max) {
			ajax_container.append('<div class="clear"></div><div class="'+value+'-'+ pageNum +'"></div>');
			ajax_container.parent().find('#nav-below').html('').append('<p class="ajax-load-posts" id="'+value+'-button"><a href="#" class="button big"><span class="icon-arrows-ccw"></span><strong>'+ajax_pagination.load_more_posts+'</strong></a></p>');
		}
		
		//Click to load the next posts
		$("#"+value+"-button a").click(function() {
			var button = $(this);
			var button_text = $(this).find('strong')
			if(pageNum <= max) {
				button_text.text(ajax_pagination.loading_posts)
				button.addClass('loading');
				$('.'+value+'-'+ pageNum).load(nextLink + ' .post', function() {
					button.removeClass('loading');
					pageNum++;
					nextLink = nextLink.replace(/\/page\/[0-9]?/, '/page/'+ pageNum);
					ajax_container.append('<div class="clear"></div><div class="'+value+'-'+ pageNum +'"></div>')
					if(pageNum <= max) {
						button_text.text(ajax_pagination.load_more_posts);
					} else {
						button_text.text(ajax_pagination.no_more_posts);
						button.addClass('no-more');
					}
					
					//Start layerSlider and fancybox again if needed
					$(this).find('.weddingSlider').each(function(){
						var autoplay = $(this).data('autoplay');
						var autoplay_delay = $(this).data('autoplaydelay');
					
						var automatic = false;
						if (autoplay) automatic = true;
						
						$(this).layerSlider({
							skin:'wedding',
							thumbnailNavigation:'disabled',
							showCircleTimer:false,
							skinsPath: slider_skin.path,
							sublayerContainer: 960,
							responsiveUnder:980,
							autoStart: automatic,
							slideDelay: autoplay_delay
						});
					});
					
					if ($('#fancybox-tmp').length) {
						var select = $('a[href$=".bmp"],a[href$=".gif"],a[href$=".jpg"],a[href$=".jpeg"],a[href$=".png"],a[href$=".BMP"],a[href$=".GIF"],a[href$=".JPG"],a[href$=".JPEG"],a[href$=".PNG"],a[rel="fancybox"]');
						select.attr('rel', 'fancybox');
						select.fancybox();
						$('a[rel="fancybox-iframe"]').fancybox({type:'iframe'});
					}

					//Scroll to the new elements
					var target = $(this);
				    $('html, body').stop().animate({
				        'scrollTop': target.offset().top-100
				    }, 1000, 'swing');
					
				});
			}
			return false;
		});
		
	});
	
});